View Issue Details

IDProjectCategoryView StatusLast Update
0026861Open CASCADEOCCT:Configurationpublic2017-09-14 15:34
Reporterkgv Assigned Tobugmaster  
PrioritynormalSeverityminor 
Status closedResolutionfixed 
PlatformMacOSOS 
Target Version7.0.0Fixed in Version7.0.0 
Summary0026861: Configuration, CMake - enable -Wall warnings when using CLang
DescriptionIt seems that current CMake procedure does not specify error level when using CLang compiler:
 elseif (CMAKE_COMPILER_IS_GNUCC OR CMAKE_COMPILER_IS_GNUCXX)
-  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall")
+  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra")
 endif()

It should be checked and corrected if needed.
Steps To ReproduceN/A
TagsNo tags attached.
Test case number

Relationships

related to 0026854 closedabv Use -Wextra with GCC 
related to 0026171 verifiedinv Coding rules - eliminate -Wshorten-64-to-32 CLang warnings 

Activities

git

2015-11-12 11:11

administrator   ~0048089

Branch CR26861 has been created by ibs.

SHA-1: a3a5c2278f3b07600a526a1d66a78579aa369a36


Detailed log of new commits:

Author: ibs
Date: Wed Nov 11 17:48:18 2015 +0300

    0026861: Configuration, CMake - enable -Wall warnings when using CLang
    
    -Wall warning option added for CLang compiler

git

2015-11-13 12:53

administrator   ~0048151

Branch CR26861 has been updated forcibly by ibs.

SHA-1: 6453ad6070158b45602cc449c7f7a8848216f44f

ibs

2015-11-13 12:54

developer   ~0048152

dear ski,
please review CR26861 branch of OCCT git

ski

2015-11-16 17:31

developer   ~0048240

Reviewed, new warnings could appear on MacOS.

Please test.

bugmaster

2015-11-23 13:06

administrator   ~0048468

Last edited: 2015-11-23 13:06

Amount of warning increased from 128 till 138.
For new and fixed warnings see tags New and Fixed
http://jenkins-test-03.nnov.opencascade.com:8080/view/CR0-2015-11-20/job/CR0-2015-11-20+master-OCCT-MacOS-opt-compile/9/warnings7Result/

git

2016-04-17 14:19

administrator   ~0053129

Branch CR26861 has been deleted by kgv.

SHA-1: 6453ad6070158b45602cc449c7f7a8848216f44f

git

2017-09-14 15:28

administrator   ~0070533

Branch CR26861_2 has been created by isn.

SHA-1: c800f8cf25127aa73592366c7fef55dfa02bb21f


Detailed log of new commits:

Author: isn
Date: Mon Sep 11 16:53:31 2017 +0300

    0028681: UnifySameDomain distorts face boundary when merges a chain of small linear edges
    
    In case of sequence of edges based on lines (which are going to be unified into one line-segment), take into account a linear tolerance value.

git

2017-09-14 15:32

administrator   ~0070535

Branch CR26861_2 has been deleted by isn.

SHA-1: c800f8cf25127aa73592366c7fef55dfa02bb21f

git

2017-09-14 15:33

administrator   ~0070536

Branch CR26861_2 has been created by isn.

SHA-1: c800f8cf25127aa73592366c7fef55dfa02bb21f


Detailed log of new commits:

Author: isn
Date: Mon Sep 11 16:53:31 2017 +0300

    0028681: UnifySameDomain distorts face boundary when merges a chain of small linear edges
    
    In case of sequence of edges based on lines (which are going to be unified into one line-segment), take into account a linear tolerance value.

git

2017-09-14 15:34

administrator   ~0070537

Branch CR26861_2 has been deleted by isn.

SHA-1: c800f8cf25127aa73592366c7fef55dfa02bb21f

Related Changesets

occt: master a082e7d0

2015-11-11 14:48:18

ibs


Committer: bugmaster Details Diff
0026861: Configuration, CMake - enable -Wall warnings when using CLang

-Wall warning option added for CLang compiler
Affected Issues
0026861
mod - adm/cmake/occt_defs_flags.cmake Diff File

Issue History

Date Modified Username Field Change
2015-11-11 09:55 kgv New Issue
2015-11-11 09:55 kgv Assigned To => bugmaster
2015-11-11 09:55 kgv Assigned To bugmaster => ibs
2015-11-11 09:55 kgv Status new => assigned
2015-11-11 09:55 kgv Relationship added related to 0026854
2015-11-11 09:56 kgv Relationship added related to 0026171
2015-11-12 11:11 git Note Added: 0048089
2015-11-12 11:12 ibs Status assigned => resolved
2015-11-13 12:53 git Note Added: 0048151
2015-11-13 12:54 ibs Note Added: 0048152
2015-11-13 12:54 ibs Assigned To ibs => ski
2015-11-16 17:31 ski Note Added: 0048240
2015-11-16 17:31 ski Assigned To ski => bugmaster
2015-11-16 17:31 ski Status resolved => reviewed
2015-11-23 13:06 bugmaster Note Added: 0048468
2015-11-23 13:06 bugmaster Status reviewed => tested
2015-11-23 13:06 bugmaster Note Edited: 0048468
2015-11-23 17:14 bugmaster Changeset attached => occt master a082e7d0
2015-11-23 17:14 bugmaster Status tested => verified
2015-11-23 17:14 bugmaster Resolution open => fixed
2016-04-17 14:19 git Note Added: 0053129
2016-04-20 15:42 aiv Fixed in Version => 7.0.0
2016-04-20 15:51 aiv Status verified => closed
2017-09-14 15:28 git Note Added: 0070533
2017-09-14 15:32 git Note Added: 0070535
2017-09-14 15:33 git Note Added: 0070536
2017-09-14 15:34 git Note Added: 0070537